This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 917229 - (CVE-2013-1801) CVE-2013-1801 rubygem-httparty: YAML parameter parsing vulnerability
CVE-2013-1801 rubygem-httparty: YAML parameter parsing vulnerability
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130114,repo...
: Security
Depends On: 917231 917230 917232
Blocks: 917242
  Show dependency treegraph
 
Reported: 2013-03-02 03:47 EST by Kurt Seifried
Modified: 2015-07-31 02:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 00:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-03-02 03:47:05 EST
Tasha Drew reports:

Researchers investigating the Rails parameter parsing vulnerability discovered 
that the same or similar vulnerable code had made its way into multiple other 
libraries. If your application uses these libraries to process untrusted data, 
it may still be vulnerable even if you have upgraded Rails. Check your Gemfile 
and Gemfile.lock for vulnerable versions of the following libraries, and if you
are using one, update it immediately.

You can update each of these by using "bundle update <gem name>". 
httparty

Vulnerable: <= 0.9.0

Fixed: 0.10.0

External references:
https://support.cloud.engineyard.com/entries/22915701-january-14-2013-security-vulnerabilities-httparty-extlib-crack-nori-update-these-gems-immediately

https://github.com/jnunemaker/httparty/commit/53a812426dd32108d6cba4272b493aa03bc8c031

https://rubygems.org/gems/httparty/
Comment 2 Kurt Seifried 2013-03-02 03:49:59 EST
Created rubygem-httparty tracking bugs for this issue

Affects: epel-all [bug 917231]
Comment 3 Kurt Seifried 2013-03-02 03:51:19 EST
Created rubygem-httparty tracking bugs for this issue

Affects: fedora-all [bug 917232]

Note You need to log in before you can comment on or make changes to this bug.